function felder_aktiv(teaching) {

  if (document.erfassen.gemlv.value == 'J') {
    document.erfassen.fachlv.disabled = false;
    document.erfassen.anzgemlv.disabled = false;
    document.erfassen.namegemlv.disabled = false;
    document.erfassen.basislvsgemlv.disabled = false;
    document.erfassen.teamteaching.disabled = false;
  } else {
    document.erfassen.fachlv.disabled = true;
    document.erfassen.anzgemlv.disabled = true;
    document.erfassen.namegemlv.disabled = true;
    document.erfassen.basislvsgemlv.disabled = true;
    document.erfassen.teamteaching.disabled = true;
  }

  /* Basiswert LVS Defaultwer setzen */
  var basisstd = document.getElementById("std_default").value;
  var anzahl = document.getElementById('anz_ag').options[document.getElementById('anz_ag').options.selectedIndex].value;
  var neuwert = anzahl * basisstd;
  var neuwert = neuwert.toFixed(2);
  document.getElementById("basislvsgemlv").value = neuwert.replace(".", ",");


  /* fachübergreifende Lehrveranstaltung: Teachinfaktor ausblenden*/
  if (teaching == 1) {

    var fachlv = document.getElementById('fachlv').options[document.getElementById('fachlv').options.selectedIndex].value;
    //<![CDATA[
    $(document).ready(function () {
      var id14 = "teachingblock4";
      var id15 = "teachingblock5";
      if (fachlv == 'J') {
        $("#" + id14).hide();
        $("#" + id15).hide();
      } else {
		/*bei Studiengang 5+6 Master darf der Teachingfaktor nicht eingeblendet werden, da es ihn nicht gibt*/
		if (document.getElementById("studiengang").value == "5" || document.getElementById("studiengang").value == "6") {
		  $("#" + id14).hide();
        }else{
		  $("#" + id14).show();
		}
        $("#" + id15).show();
      }
    });
    //]]>

    /* Bei Schwerpunkttehema (ID 11) wird die Zeile Teachingfaktor nicht angezeigt: Mail Haug vom 10.07.19*/
    if (document.getElementById("art").value == "11") {
      //<![CDATA[
      $(document).ready(function () {
        var id14 = "teachingblock4";
        var id15 = "teachingblock5";
        $("#" + id14).hide();
        $("#" + id15).hide();
      });
      //]]>
    }

  }

  /*Gesamtvolumen bereits ausrechnen für das Infofeld*/
  gesvol_calc()

}


function show(gemlv, erf_value_art, erf_value_exk_tage) {

  if (gemlv == 'J') {
    document.erfassen.fachlv.disabled = false;
    document.erfassen.anzgemlv.disabled = false;
    document.erfassen.namegemlv.disabled = false;
    document.erfassen.basislvsgemlv.disabled = false;
    document.erfassen.teamteaching.disabled = false;

    /* Bei fachlv == J dann basislvsgemlv und teamteaching ausblenden*/
    if (document.getElementById("fachlv").value == "J") {
      //<![CDATA[
      $(document).ready(function () {
        var id14 = "teachingblock4";
        var id15 = "teachingblock5";
        $("#" + id14).hide();
        $("#" + id15).hide();
      });
      //]]>
    }
  }

  if (erf_value_exk_tage == '1') {
    /* Bei bearbeiten: Eintägig wird ausgewählt, Mehrtägig werden Werte gelöscht und disabled*/
    //<![CDATA[
    $(document).ready(function () {
      var id = "exkursion1";
      var id2 = "lehrstd1";
      var id3 = "extracurr";
      var id17 = "teachingblock_hinw";
      $("#" + id).show();
      $("#" + id2).hide();
      $("#" + id3).hide();
      $("#" + id17).hide();
    });
    //]]>
    document.getElementById('tage_exkursion1').checked = true;
    document.getElementById('exk_datumvon2').value = '';
    document.getElementById("exk_datumvon2").disabled = true;
    document.getElementById('exk_datumbis2').value = '';
    document.getElementById("exk_datumbis2").disabled = true;
    document.getElementById('exk_beschreibung2').value = '';
    document.getElementById("exk_beschreibung2").disabled = true;
    document.getElementById('exk_stdanreise2').value = '';
    document.getElementById("exk_stdanreise2").disabled = true;
    document.getElementById('exk_stdabreise2').value = '';
    document.getElementById("exk_stdabreise2").disabled = true;

  } else if (erf_value_exk_tage == '2') {
    /* Bei bearbeiten: Mehrtägig wird ausgewählt, Eintägig werden Werte gelöscht und disabled*/
    //<![CDATA[
    $(document).ready(function () {
      var id = "exkursion1";
      var id2 = "lehrstd1";
      var id3 = "extracurr";
      var id17 = "teachingblock_hinw";
      $("#" + id).show();
      $("#" + id2).hide();
      $("#" + id3).hide();
      $("#" + id17).hide();
    });
    //]]>
    document.getElementById('tage_exkursion2').checked = true;
    document.getElementById('exk_datumvon1').value = '';
    document.getElementById("exk_datumvon1").disabled = true;
    document.getElementById('exk_beschreibung1').value = '';
    document.getElementById("exk_beschreibung1").disabled = true;
    document.getElementById('exk_stdanreise1').value = '';
    document.getElementById("exk_stdanreise1").disabled = true;

  } else {
    /* Default beim Laden der Seite nur das lvs Gesamtsummenfeld einblenden und exkursion ausblenden*/
    //<![CDATA[
    $(document).ready(function () {
      var id = "exkursion1";
      var id2 = "lehrstd1";
      var id3 = "extracurr";
      var id17 = "teachingblock_hinw";
      var id21= "art2";

      $("#" + id).hide();
      $("#" + id2).show()
      $("#" + id17).hide();
      $("#" + id21).hide();

      /* Beim Editieren von Extracurricularem Klausurenkurs soll der hinweis angezeigt werden, sonst nicht (beim Laden ist erf_value_art sonst leer)*/
      if (erf_value_art == '6') {
        $("#" + id3).show();
      } else {
        $("#" + id3).hide();
      }

    });
    //]]>
  }

  /* Bei Vorlesungen Dropdown einblenden und Titel ausblenden*/
  var id4 = "titel";
  var id5 = "module";
  var id6 = "schwerpunkt";

  if (erf_value_art == '1') {
    $("#" + id4).hide();
    $("#" + id5).show();
    $("#" + id6).hide();

  } else if (erf_value_art == '11') {
    $("#" + id4).hide();
    $("#" + id5).hide();
    $("#" + id6).show()
  } else {
    $("#" + id4).show();
    $("#" + id5).hide();
    $("#" + id6).hide();
  }
  document.getElementById("titel").focus();

  /* Im Fehlerfall muss das entsprechende Dropdownmenü wieder ausgewählt werden*/
  einblenden(erf_value_exk_tage);

}

function fetch_select() {
  /* Nur bei den Studiengangen Public, Steuer, Renten, Finanz soll ein Katalog hinterlegt werden. Bei MPM und MEPA soll das Titel-Textfeld eingeblendet werden */
  /* Wenn die Art 11 (Schwerpunktthema) ist, dann soll immer nur das Dropdown für Schwerpunkt eingeblendet werden, sonst nicht*/
  var id4 = "titel";
  var id5 = "module";
  var id6 = "schwerpunkt";
  var id20= "art";
  var id21= "art2";
  var id14= "teachingblock4";

  var studiengang = document.getElementById('studiengang').options[document.getElementById('studiengang').options.selectedIndex].value;
  if ((studiengang == "1" || studiengang == "2" || studiengang == "3" || studiengang == "4" || studiengang == "5" || studiengang == "6")
       && (document.getElementById("art").value == "1" || document.getElementById("art2").value == "1")) {

    $("#" + id4).hide();
    $("#" + id6).hide();
    $("#" + id5).show();
    $.ajax({
      type: 'POST',
      url: 'fetch_data.php',
      data: {
        get_option: studiengang
      },
      success: function (response) {
        document.getElementById("module").innerHTML = response;
        fetch_select2();
      }
    });
  } else if (document.getElementById("art").value == "11") {
    $("#" + id4).hide();
    $("#" + id5).hide();
    $("#" + id6).show();
  } else {
    $("#" + id5).hide();
    $("#" + id6).hide();
    $("#" + id4).show();
  }
  /* Bei Master sollen nur Vorlesungen angezeigt werden*/
  if(studiengang == "5" || studiengang == "6"){
	$("#" + id20).hide();
	$("#" + id21).show();
	$("#" + id14).hide();
  }else{
	$("#" + id21).hide();
	$("#" + id20).show();
	$("#" + id14).show();
  }

}


/* Für das abhängige Dropdownmenü Studiengang -> Module */
function fetch_select2() {
  /*
    Diese Funktion wird aufgerufen, wenn der Studiengang geändert wird in "fetch_select"
    und wenn die Art der LV geändert wird in "einblenden()"
    Außerdem ist auf der Dropdownbox ein onchange event hinterlegt
  */
  if (document.getElementById("art").value == "1") {
    /* Bei Vorlesungen defaultwert setzen */
    var module = document.getElementById('module').options[document.getElementById('module').options.selectedIndex].value;
    $.ajax({
      type: 'POST',
      url: 'fetch_data2.php',
      data: {
        get_option: module
      },
      success: function (response) {
/*NICHT IM EDITMODUS, SONST KOMMEN DEFAULTWERTE REIN. In der PHP wird der response auf 0 gesetzt im Editmodus
BEI SCHWERPUNKTE AUCH PRÜFEN
*/
        if(response > 0){
          document.getElementById("std").value = response.replace(".", ",");

          /* Basiswert setzen, da mit den Std gerechnet wird, nach Anzahl der Arbeitsgemeinschaften*/
          document.getElementById("std_default").value = response;

          /* Basiswert Teamteaching setzen*/
          document.getElementById("basislvsgemlv").value = response.replace(".", ",");
          /* Gleich mit der Anzahl der Arbeitsgemeinschaften multiplizieren, fall da im Vorfeld ein anderer Wert als 1 drinstehen würde*/
          fetch_anzahl();
	    }
      }
    });
  }
}

<!-- Für das abhängige Dropdownmenü Studiengang -> Module -->
function fetch_anzahl() {
  /*
    Diese Funktion wird aufgerufen, wenn die Anzahl der Arbeitsgemeinschaften geändert wird
  */

  /* Bei Vorlesungen defaultwert setzen */
  var anzahl = document.getElementById('anz_ag').options[document.getElementById('anz_ag').options.selectedIndex].value;

  var basisstd = document.querySelector("#std_default").value;
  var neuwert = anzahl * basisstd;
  var neuwert = neuwert.toFixed(2);
  document.getElementById("std").value = neuwert.replace(".", ",");
  document.getElementById("basislvsgemlv").value = neuwert.replace(".", ",");
}

function einblenden(exkursionstage) {

  /* Der Eingabeparameter wird nur aus show() bedient. Wenn eine Mehrtägige Exkursion bearbeitet wird, dann darf Sie in der function einblenden() nicht ausgeblendet werden*/
  /* Bei Exkursionen Erfassungsfeld einblenden*/

  if (document.getElementById("art").value == "5") {
    document.getElementById("exkursion1").style.visibility = "visible";
    document.getElementById("lehrstd1").style.visibility = "hidden";

    if(exkursionstage != 2){
      document.getElementById("exk_datumvon2").disabled = true;
      document.getElementById("exk_datumbis2").disabled = true;
      document.getElementById("exk_beschreibung2").disabled = true;
      document.getElementById("exk_stdanreise2").disabled = true;
      document.getElementById("exk_stdabreise2").disabled = true;
    }
    //<![CDATA[
    $(document).ready(function () {
      var id = "exkursion1";
      var id2 = "lehrstd1";
      var id3 = "extracurr";
      var id4 = "titel";
      var id5 = "module";
      var id6 = "schwerpunkt";
      var id8 = "anz_agtage";
      /* Bei Exkursionen gibt es kein Teamteaching. Hier ausblenden, bei allen anderen einblenden*/
      var id10 = "teachingblock0";
      var id11 = "teachingblock1";
      var id12 = "teachingblock2";
      var id13 = "teachingblock3";
      var id14 = "teachingblock4";
      var id15 = "teachingblock5";
      var id16 = "teachingblock_field";
      var id17 = "teachingblock_hinw";

      $("#" + id2).fadeOut("slow");
      $("#" + id3).fadeOut("slow");
      $("#" + id5).fadeOut("slow");
      $("#" + id6).fadeOut("slow");
      $("#" + id8).fadeOut("slow");
      $("#" + id).fadeIn("slow");;
      $("#" + id4).fadeIn("slow");

      $("#" + id10).hide();
      $("#" + id11).hide();
      $("#" + id12).hide();
      $("#" + id13).hide();
      $("#" + id14).hide();
      $("#" + id15).hide();
      $("#" + id16).hide();


      /* Hinweise werden nur bei der Berechnung des Gesamtvolumens eingeblendet */
      $("#" + id17).hide();


    });
    //]]>

  } else if (document.getElementById("art").value == "6") {
    /*Hinweis zu Extracurricularer Klausurenkurs einblenden*/
    //<![CDATA[
    $(document).ready(function () {
      var id = "exkursion1";
      var id2 = "lehrstd1";
      var id3 = "extracurr";
      var id4 = "titel";
      var id5 = "module";
      var id6 = "schwerpunkt";
      var id8 = "anz_agtage";

      var id10 = "teachingblock0";
      var id11 = "teachingblock1";
      var id12 = "teachingblock2";
      var id13 = "teachingblock3";
      var id14 = "teachingblock4";
      var id15 = "teachingblock5";
      var id16 = "teachingblock_field";
      var id17 = "teachingblock_hinw";

      $("#" + id).fadeOut("slow");
      $("#" + id5).fadeOut("slow");
      $("#" + id6).fadeOut("slow");
      $("#" + id2).fadeIn("slow");
      $("#" + id3).fadeIn("slow");
      $("#" + id4).fadeIn("slow");

      $("#" + id8).show();
      $("#" + id10).show();
      $("#" + id11).show();
      $("#" + id12).show();
      $("#" + id13).show();
      $("#" + id14).show();
      $("#" + id15).show();
      $("#" + id16).show();

      /* Hinweise werden nur bei der Berechnung des Gesamtvolumens eingeblendet */
      $("#" + id17).hide();
    });
    //]]>
  } else if (document.getElementById("art").value == "1" || document.getElementById("art2").value == "1") {
    /* Vorlesungen */

    document.getElementById("exkursion1").style.visibility = "hidden";
    document.getElementById("lehrstd1").style.visibility = "visible";
    //<![CDATA[
    $(document).ready(function () {
      var id = "exkursion1";
      var id2 = "lehrstd1";
      var id3 = "extracurr";
      var id4 = "titel";
      var id5 = "module";
      var id6 = "schwerpunkt";
      var id8 = "anz_agtage";

      var id10 = "teachingblock0";
      var id11 = "teachingblock1";
      var id12 = "teachingblock2";
      var id13 = "teachingblock3";
      var id14 = "teachingblock4";
      var id15 = "teachingblock5";
      var id16 = "teachingblock_field";
      var id17 = "teachingblock_hinw";

      $("#" + id).fadeOut("slow");
      $("#" + id3).fadeOut("slow");
      $("#" + id4).fadeOut("slow");
      $("#" + id2).fadeIn("slow");
      $("#" + id5).fadeIn("slow");
      $("#" + id6).fadeOut("slow");

      $("#" + id8).show();
      $("#" + id10).show();
      $("#" + id11).show();
      $("#" + id12).show();
      $("#" + id13).show();
      $("#" + id14).show();
      $("#" + id15).show();
      $("#" + id16).show();


      /* Hinweise werden nur bei der Berechnung des Gesamtvolumens eingeblendet */
      $("#" + id17).hide();

      /* Wenn Vorlesung aus Art ausgewählt, dann Katalog holen */
      fetch_select();

    });
    //]]>
  } else if (document.getElementById("art").value == "11") {
    document.getElementById("exkursion1").style.visibility = "hidden";
    document.getElementById("lehrstd1").style.visibility = "visible";
    //<![CDATA[
    $(document).ready(function () {
      var id = "exkursion1";
      var id2 = "lehrstd1";
      var id3 = "extracurr";
      var id4 = "titel";
      var id5 = "module";
      var id6 = "schwerpunkt";
      var id8 = "anz_agtage";

      var id10 = "teachingblock0";
      var id11 = "teachingblock1";
      var id12 = "teachingblock2";
      var id13 = "teachingblock3";
      var id14 = "teachingblock4";
      var id15 = "teachingblock5";
      var id16 = "teachingblock_field";
      var id17 = "teachingblock_hinw";

      $("#" + id).fadeOut("fast");
      $("#" + id3).fadeOut("fast");
      $("#" + id5).fadeOut("fast");
      $("#" + id2).fadeIn("slow");
      $("#" + id4).fadeOut("slow");
      $("#" + id6).fadeIn("slow");

      $("#" + id8).show();
      $("#" + id10).show();
      $("#" + id11).show();
      $("#" + id12).show();
      $("#" + id13).show();
      $("#" + id14).hide();
      $("#" + id15).hide();
      $("#" + id16).show();

      /* Hinweise werden nur bei der Berechnung des Gesamtvolumens eingeblendet */
      $("#" + id17).hide();

      /*Dropdown befüllen*/

      var spt = document.getElementById('art').options[document.getElementById('art').options.selectedIndex].value;

      $.ajax({
        type: 'POST',
        url: 'fetch_schwerpunkt.php',
        data: {
          get_option: spt
        },
        success: function (response) {
          document.getElementById("schwerpunkt").innerHTML = response;
        }
      });

    });
    //]]>
  }else if (document.getElementById("art").value == "4") {
  /*Wahlpflichtfach*/

    document.getElementById("exkursion1").style.visibility = "hidden";
    document.getElementById("lehrstd1").style.visibility = "visible";
    //<![CDATA[
    $(document).ready(function () {
      var id = "exkursion1";
      var id2 = "lehrstd1";
      var id3 = "extracurr";
      var id4 = "titel";
      var id5 = "module";
      var id6 = "schwerpunkt";
      var id8 = "anz_agtage";

      var id10 = "teachingblock0";
      var id11 = "teachingblock1";
      var id12 = "teachingblock2";
      var id13 = "teachingblock3";
      var id14 = "teachingblock4";
      var id15 = "teachingblock5";
      var id16 = "teachingblock_field";
      var id17 = "teachingblock_hinw";

      $("#" + id).fadeOut("fast");
      $("#" + id3).fadeOut("fast");
      $("#" + id5).fadeOut("fast");
      $("#" + id2).fadeIn("slow");
      $("#" + id4).fadeIn("slow");
      $("#" + id6).fadeOut("slow");
      $("#" + id8).fadeOut("slow");

      $("#" + id10).show();
      $("#" + id11).show();
      $("#" + id12).show();
      $("#" + id13).show();
      $("#" + id14).show();
      $("#" + id15).show();
      $("#" + id16).show();

      /* Hinweise werden nur bei der Berechnung des Gesamtvolumens eingeblendet */
      $("#" + id17).hide();
    });
    //]]>
  }else {
    document.getElementById("exkursion1").style.visibility = "hidden";
    document.getElementById("lehrstd1").style.visibility = "visible";
    //<![CDATA[
    $(document).ready(function () {
      var id = "exkursion1";
      var id2 = "lehrstd1";
      var id3 = "extracurr";
      var id4 = "titel";
      var id5 = "module";
      var id6 = "schwerpunkt";
      var id8 = "anz_agtage";

      var id10 = "teachingblock0";
      var id11 = "teachingblock1";
      var id12 = "teachingblock2";
      var id13 = "teachingblock3";
      var id14 = "teachingblock4";
      var id15 = "teachingblock5";
      var id16 = "teachingblock_field";
      var id17 = "teachingblock_hinw";

      $("#" + id).fadeOut("fast");
      $("#" + id3).fadeOut("fast");
      $("#" + id5).fadeOut("fast");
      $("#" + id2).fadeIn("slow");
      $("#" + id4).fadeIn("slow");
      $("#" + id6).fadeOut("slow");

      $("#" + id8).show();
      $("#" + id10).show();
      $("#" + id11).show();
      $("#" + id12).show();
      $("#" + id13).show();
      $("#" + id14).show();
      $("#" + id15).show();
      $("#" + id16).show();

      /* Hinweise werden nur bei der Berechnung des Gesamtvolumens eingeblendet */
      $("#" + id17).hide();
    });
    //]]>
  }

  /* Bei fachlv == J dann basislvsgemlv und teamteaching ausblenden
     Wird auch bei show() bereits ausgeführt. Hier nochmals, da einblenden() nach show kommt, hätte das bei fachübergreifenden LV die Felder basislgemlvs und teamteaching wieder eingeblendet
  */

  if (document.getElementById("fachlv").value == "J") {
    //<![CDATA[
    $(document).ready(function () {
      var id14 = "teachingblock4";
      var id15 = "teachingblock5";
      $("#" + id14).hide();
      $("#" + id15).hide();
    });
    //]]>
  }

  fetch_select2();

  /* Zum holen der LVS muss kurz gewartet werden, da die Befüllung des Dropdowns sonst noch nicht abgeschlossen ist. Es wird im selben javascript "einblenden()" befüllt*/
  setTimeout(fetch_schwerpunkt2, 500);


}

function func_krankheit(krankheitsart) {
  /*Bei krankheitsbedingten Merkmalen sollen die Basisstd LVS und Summe der eingenen LVS leer gesetzt werden*/
  if(krankheitsart == 1){
    fetch_anzahl();
  }else{
    /* Werte auf 0 setzen*/
    document.getElementById("basislvsgemlv").value = "0,0";
    document.getElementById("std").value = "0,0";
    /* vorhandene Werte in hidden speichern*/

  }
}

function gesvol_calc() {
  /*
    Diese Funktion berechnet das Gesamtvolumen.
    Bsp: Basiswert 56Lvs als Wahlpflichtfach mit Faktor 0,5
    Berechnung: 56 + (56*0,5) = 84 LVS Gesamtvolumen

    Diese Funktion wird  verwendet in felder_aktiv und beim Teamteachingfaktor als onchange event
  */

  if (document.getElementById("fachlv").value == "N") {

    /* Bei Vorlesungen defaultwert setzen */
   var teamteaching =$( "#teamteaching" ).val();

   if (teamteaching != null){
      var teamteaching = document.getElementById('teamteaching').options[document.getElementById('teamteaching').options.selectedIndex].value;
    }else{
      var teamteaching = 0;
	}
    $.ajax({
      type: 'POST',
      url: 'fetch_teachingfacktor.php',
      data: {
        get_option: teamteaching
      },
      success: function (response) {
      if (response == ''){
        var response2 = 0;
      }else{
        var response2 = response;
      }
      if(response > 0){
        let gesamtvolumen_count = parseFloat(document.getElementById("basislvsgemlv").value.replace(',', '.')) + (parseFloat(document.getElementById("basislvsgemlv").value.replace(',', '.')) * parseFloat(response2));
        var gescount = gesamtvolumen_count.toFixed(2);
        document.getElementById("gesamtvolumen_count").innerHTML = "<strong>" + gescount.replace(".", ",") + "</strong>";
        //<![CDATA[
        $(document).ready(function () {
          var id17 = "teachingblock_hinw";
          var id15 = "teachingblock5";
          $("#" + id15).show();
          $("#" + id17).show();
        });
      }

        //]]>
      }
    });
  } else {
    /*bei fachübergreifende LV das Hinweisfeld ausblenden*/
    //<![CDATA[
    $(document).ready(function () {
      var id17 = "teachingblock_hinw";
      var id15 = "teachingblock5";
      $("#" + id15).hide();
      $("#" + id17).hide();
    });
    //]]>
  }
}


function senden_aktiv() {
  if (document.erfassen.tage_exkursion1.checked == true) {
    document.getElementById("exk_datumvon1").disabled = false;
    document.getElementById("exk_beschreibung1").disabled = false;
    document.getElementById("exk_stdanreise1").disabled = false;
  } else {
    document.getElementById("exk_datumvon1").disabled = true;
    document.getElementById("exk_beschreibung1").disabled = true;
    document.getElementById("exk_stdanreise1").disabled = true;
  }
  if (document.erfassen.tage_exkursion2.checked == true) {
    document.getElementById("exk_datumvon2").disabled = false;
    document.getElementById("exk_datumbis2").disabled = false;
    document.getElementById("exk_beschreibung2").disabled = false;
    document.getElementById("exk_stdanreise2").disabled = false;
    document.getElementById("exk_stdabreise2").disabled = false;
  } else {
    document.getElementById("exk_datumvon2").disabled = true;
    document.getElementById("exk_datumbis2").disabled = true;
    document.getElementById("exk_beschreibung2").disabled = true;
    document.getElementById("exk_stdanreise2").disabled = true;
    document.getElementById("exk_stdabreise2").disabled = true;
  }
}